> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Report Request

## Guides

See the guide for using this endpoint:
[Generate a Threat Flow Report <Icon icon="book" size={16} />](/guides/threat-flow-report).


## OpenAPI

````yaml firework-v4-openapi post /firework/v4/threat_flow/reports/requests
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/threat_flow/reports/requests:
    post:
      tags:
        - public
      summary: Create Report Request
      operationId: create_report_request_threat_flow_reports_requests_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReportRequestPayload'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReportRequestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReportRequestPayload:
      properties:
        report_title:
          type: string
          title: Report Title
        question:
          anyOf:
            - type: string
            - type: 'null'
          title: Question
        time_range_type:
          $ref: '#/components/schemas/TimeRangeType'
          default: all
        time_range_from:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Time Range From
        time_range_to:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Time Range To
        included_keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Included Keywords
        excluded_keywords:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Excluded Keywords
      type: object
      required:
        - report_title
      title: ReportRequestPayload
    ReportRequestResponse:
      properties:
        request_id:
          type: string
          format: uuid
          title: Request Id
      type: object
      required:
        - request_id
      title: ReportRequestResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TimeRangeType:
      type: string
      enum:
        - all
        - last_24h
        - last_2d
        - last_7d
        - last_1m
        - last_3m
        - last_6m
        - range
      title: TimeRangeType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````